Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.cellview.client
Class LoadingStateChangeEvent

    java.lang.Object
      com.google.web.bindery.event.shared.Event<H>
          com.google.gwt.event.shared.GwtEvent<LoadingStateChangeEvent.Handler>
              com.google.gwt.user.cellview.client.LoadingStateChangeEvent

    public class LoadingStateChangeEvent

extends GwtEvent<LoadingStateChangeEvent.Handler>

An event used to indicate that the data loading state has changed.

Nested Class Summary
`static interface` | `LoadingStateChangeEvent.Handler` Implemented by handlers of `LoadingStateChangeEvent`.
`static interface` | `LoadingStateChangeEvent.LoadingState` Represents the current status of the data being loaded.

Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent
`GwtEvent.Type<H>`

Field Summary
`static GwtEvent.Type<LoadingStateChangeEvent.Handler>` | `TYPE` A singleton instance of Type.

Constructor Summary
`LoadingStateChangeEvent(LoadingStateChangeEvent.LoadingState state)` Construct a new `LoadingStateChangeEvent`.

Method Summary
`protected void` | `dispatch(LoadingStateChangeEvent.Handler handler)` Should only be called by `HandlerManager`.
`GwtEvent.Type<LoadingStateChangeEvent.Handler>` | `getAssociatedType()` Returns the `Event.Type` used to register this event, allowing an `EventBus` to find handlers of the appropriate class.
`LoadingStateChangeEvent.LoadingState` | `getLoadingState()` Get the new `LoadingStateChangeEvent.LoadingState` associated with this event.

Methods inherited from class com.google.gwt.event.shared.GwtEvent
`assertLive, getSource, isLive, kill, revive`

Methods inherited from class com.google.web.bindery.event.shared.Event
`setSource, toDebugString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE

    public static final GwtEvent.Type<LoadingStateChangeEvent.Handler> TYPE

  A singleton instance of Type.

Constructor Detail

### LoadingStateChangeEvent

    public LoadingStateChangeEvent(LoadingStateChangeEvent.LoadingState state)

  Construct a new `LoadingStateChangeEvent`.

  Parameters:
    `state` - the new state

Method Detail

### getAssociatedType

    public GwtEvent.Type<LoadingStateChangeEvent.Handler> getAssociatedType()

  Description copied from class: `Event`
  Returns the `Event.Type` used to register this event, allowing an `EventBus` to find handlers of the appropriate class.

  Specified by:
    `getAssociatedType` in class `GwtEvent<LoadingStateChangeEvent.Handler>`
  Returns:
    the type

### getLoadingState

    public LoadingStateChangeEvent.LoadingState getLoadingState()

  Get the new `LoadingStateChangeEvent.LoadingState` associated with this event.

  Returns:
    the `LoadingStateChangeEvent.LoadingState`

### dispatch

    protected void dispatch(LoadingStateChangeEvent.Handler handler)

  Description copied from class: `GwtEvent`
  Should only be called by `HandlerManager`. In other words, do not use or call.

  Specified by:
    `dispatch` in class `GwtEvent<LoadingStateChangeEvent.Handler>`
  Parameters:
    `handler` - handler
  See Also:
    `EventBus.dispatchEvent(Event, Object)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD